from tomlkit import dumps
from tomlkit import loads


def test_write_backslash():
    d = {"foo": "\\e\u25E6\r"}

    expected = """foo = "\\\\e\u25E6\\r"
"""

    assert expected == dumps(d)
    assert loads(dumps(d))["foo"] == "\\e\u25E6\r"


def test_escape_special_characters_in_key():
    d = {"foo\nbar": "baz"}
    expected = '"foo\\nbar" = "baz"\n'
    assert expected == dumps(d)
    assert loads(dumps(d))["foo\nbar"] == "baz"
